/*
 * Licensed under BSD license.  See LICENCE.TXT  
 *
 * Produced by:	Jeff Lait
 *
 *      	POWDER Development
 *
 * NAME:        avatar.h ( 7DRL Library, C++ )
 *
 * COMMENTS:
 *	Stores the avatar specific global variables.
 */

#ifndef __avatar__
#define __avatar__

#include <iostream>
using namespace std;

#include "glbdef.h"

int
avatar_mp();

void
avatar_setmp(int mp);

int
avatar_maxmp();

void
avatar_setmaxmp(int mp);

int
avatar_maxhp();

void
avatar_setmaxhp(int hp);

void
avatar_save(ostream &os);

void
avatar_load(istream &is);

bool
avatar_victory();

void
avatar_setvictory(bool state);

#endif

