/*
 * Licensed under BSD license.  See LICENCE.TXT  
 *
 * Produced by:	Jeff Lait
 *
 *      	7DRL Development
 *
 * NAME:        pos.h ( 7DRL Library, C++ )
 *
 * COMMENTS:
 */

#ifndef __pos__
#define __pos__

#include "ptrlist.h"

// POD for a position.
class POS
{
public:
    POS() {}
    // Needed so we can initialze from zero.
    POS(int blah) { x = blah; y = blah; }
    POS(int px, int py) { x = px; y = py; }
    int		x, y;

    bool operator==(const POS &p) const
    { return p.x == x && p.y == y; }
};
typedef PTRLIST<POS> POSLIST;

#endif

